Bug 116651 - EDITING: possible to delete a slide in read-only mode or when edit mode is off
Summary: EDITING: possible to delete a slide in read-only mode or when edit mode is off
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2018-03-27 09:55 UTC by Vincent Bossier
Modified: 2021-03-29 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Bossier 2018-03-27 09:55:15 UTC
1/ Open a read-only presentation or switch off edit mode
2/ Select a slide in slide deck
3/ Press backspace

Result: the slide is deleted.
Expected result: the slide is not deleted.

Additional observation

4/ Undo the action (CTRL-Z)

Result: the slide remains deleted.
Expected result: the slide is restored.
Comment 1 Telesto 2018-03-27 16:53:52 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 546ed01e62c9a36a675c7390371aaec7f1647a33
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-26_15:39:48
Locale: nl-NL (nl_NL); Calc: CL

and with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 2 Buovjaga 2018-03-28 18:51:30 UTC
Repro

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 3 QA Administrators 2019-03-29 04:02:52 UTC Comment hidden (obsolete)
Comment 4 Vincent Bossier 2019-03-29 08:53:12 UTC
I confirm that this bug is still present in the following version of LibreOffice:

Version: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
Comment 5 QA Administrators 2021-03-29 03:38:46 UTC
Dear Vincent Bossier,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug